﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Controls;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для PrintPage.xaml
    /// </summary>
    public partial class PrintPage : Page
    {
        List<ConcertProgram> concertsListCount;
        double summ;
        Numbers numbers;
        ConcertProgram element;
        public PrintPage(List<ConcertProgram> concertsList, Concert program)
        {
            InitializeComponent(); ;
            DataContext = program;
            concertsListCount = concertsList;
            lisaPrint.ItemsSource = concertsList;
            timeTotal.Text = TimeTotalCount();
        }

        private string TimeTotalCount()
        {
            for (int i = 0; i < concertsListCount.Count; i++)
            {
                element = concertsListCount.ElementAt(i);
                numbers = Classes.DataBaseClass.connect.Numbers.FirstOrDefault(x => x.IDNumber == element.IDNumber);
                summ += Double.Parse(numbers.TimeNumber);
            }
            return Math.Round(summ).ToString();
        }
    }
}
