﻿using PDK_Concert.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для ProfilePage.xaml
    /// </summary>
    public partial class ProfilePage : Page
    {
        Page page;
        Logined logined;
        public ProfilePage(Page page, Logined logined)
        {
            InitializeComponent();
            this.page = page;
            this.logined = logined;
            DataContext = logined;
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            if (InputValidation.PatternNumbers(tbNumbers.Text))
            {
                MessageBox.Show("Личные данные успешно обновлены", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                DataBaseClass.connect.SaveChanges();
            }
            else
            {
                MessageBox.Show("Вы ввели номер телефона не в том виде!\nВведите в формате 89999999999", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void updatePassword_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frame.Navigate(new UpdatePasswordPage(logined, this));
        }
    }
}
