﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;

namespace LibraryRDK
{
    public class InputValidation
    {
        public static bool Pattern(string text)
        {
            string pattern = @"\b[0-2][0-9]:[0-5][0-9]-[0-2][0-9]:[0-5][0-9]\b";
            Regex regex = new Regex(pattern);
            if (regex.IsMatch(text))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public static bool PatternNumbers(string text) 
        {
            string pattern = @"8\d{10}$";
            Regex regex = new Regex(pattern);
            if (regex.IsMatch(text))
            {
                return true;
            }
            else { return false; }
        }

        public static bool PatternTimeNumbers(string text)
        {
            string pattern = @"\b\d{1,2}\,\d{2}\b|\b\d\.\d{2}\b";
            Regex regex = new Regex(pattern);
            if (regex.IsMatch(text))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public static bool CheckAuthorization(string login, string password)
        {
            if (!string.IsNullOrWhiteSpace(login))
            {
                if (!string.IsNullOrEmpty(password))
                {
                    return true;
                }
                else
                {
                    MessageBox.Show("Заполните Пароль", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    return false;
                }
            }
            else
            {
                MessageBox.Show("Заполните Логин", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                return false;
            }
        }

        public static bool CheckNumbers(string title, string time)
        {
            if (!string.IsNullOrWhiteSpace(title))
            {
                if (!string.IsNullOrWhiteSpace(time))
                {
                    return true;
                }
                else
                {
                    MessageBox.Show("Вы не ввели длительность номера", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    return false;
                }
            }
            else
            {
                MessageBox.Show("Вы не ввели название номера", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                return false;
            }
        }

            public static bool CheckUsers(string name, string surname, string patronymis, string number, int power, int post)
        {
            if (!string.IsNullOrWhiteSpace(name))
            {
                if (!string.IsNullOrWhiteSpace(surname))
                {
                    if (!string.IsNullOrWhiteSpace(patronymis))
                    {
                        if (!string.IsNullOrWhiteSpace(number))
                        {
                            if(power >= 0)
                            {
                                if(post >= 0)
                                {
                                    return true;
                                }
                                else
                                {
                                    MessageBox.Show("Выберите Должность", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                                    return false;
                                }
                            }
                            else
                            {
                                MessageBox.Show("Выберите Права", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                                return false;
                            }
                        }
                        else
                        {
                            MessageBox.Show("Заполните Номер", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                            return false;
                        }
                    }
                    else
                    {
                        MessageBox.Show("Заполните Отчество", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                        return false;
                    }
                }
                else
                {
                    MessageBox.Show("Заполните Фамилию", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    return false;
                }
            }
            else
            {
                MessageBox.Show("Заполните Имя", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                return false;
            }
        }
    }
}
