﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для AddConcertPage.xaml
    /// </summary>
    public partial class AddConcertPage : Page
    {
        Logined logined;
        public AddConcertPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
        }

        private void plis_Click(object sender, RoutedEventArgs e)
        {
            int numUpdate;
            if(tbNumbers.Text=="")
            {
                numUpdate = 0;
            }
            else
            {
                numUpdate = Int32.Parse(tbNumbers.Text);
            }
            numUpdate++;
            tbNumbers.Text = numUpdate.ToString();
        }

        private void minus_Click(object sender, RoutedEventArgs e)
        {
            int numUpdate;
            if (tbNumbers.Text == "")
            {
                numUpdate = 0;
            }
            else
            {
                numUpdate = Int32.Parse(tbNumbers.Text);
                numUpdate--;
                tbNumbers.Text = numUpdate.ToString();
            }
            
        }

        private void add_Click(object sender, RoutedEventArgs e)
        {
            Concert concert = new Concert() 
            {
                ConcertDate = (DateTime)dpDate.SelectedDate,
                Titlee = tbTitle.Text,
                NumderOfRooms = Int32.Parse(tbNumbers.Text)
            };
            Classes.DataBaseClass.connect.Concert.Add(concert);
            Classes.DataBaseClass.connect.SaveChanges();
            MessageBox.Show("Концерт успешно добавлен", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
            Classes.FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }
    }
}
