﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для NewNumberPage.xaml
    /// </summary>
    public partial class NewNumberPage : Page
    {
        Logined logined;
        public NewNumberPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            if(InputValidation.CheckNumbers(tbTitle.Text, tbTime.Text)) 
            { 
                if (InputValidation.PatternTimeNumbers(tbTime.Text))
                {
                    Numbers numbers = new Numbers()
                    {
                        IDUser = logined.ID,
                        Title = tbTitle.Text,
                        Description = tbDescription.Text,
                        TimeNumber = tbTime.Text
                    };
                    Classes.DataBaseClass.connect.Numbers.Add(numbers);
                    Classes.DataBaseClass.connect.SaveChanges();
                    MessageBox.Show("Номер успешно добавлен", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                    Classes.FrameClass.menuFrame.Navigate(new NumberPage(logined));
                }
                else
                {
                    MessageBox.Show("Вы ввели время номера не в том виде!\nВведите в формате 00,00 или 0,00", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
            
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new NumberPage(logined));
        }
    }
}
