﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для PastConcertPage.xaml
    /// </summary>
    public partial class PastConcertPage : Page
    {
        Logined logined;
        List<Concert> concertList;
        public PastConcertPage(Logined logined)
        {
            InitializeComponent();
            this.logined = logined;
            concertList = Classes.DataBaseClass.connect.Concert.Where(x=> x.ConcertDate<DateTime.Today).ToList();
            listConcent.ItemsSource = concertList;
        }

        private void listConcent_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Concert concertProgram = listConcent.SelectedItem as Concert;
            Classes.FrameClass.menuFrame.Navigate(new ConcertProgramPage(concertProgram.IDConcert, logined,0, this));
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }
    }
}
