﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для UpdatePasswordPage.xaml
    /// </summary>
    public partial class UpdatePasswordPage : Page
    {
        Logined logined;
        Page page;
        public UpdatePasswordPage(Logined logined, Page page)
        {
            InitializeComponent();
            this.logined = logined;
            this.page = page;
        }

        private void savePasswordd_Click(object sender, RoutedEventArgs e)
        {
            int oldPasswordHash = oldPassword.Password.GetHashCode();
            int newPasswordHash = newPassword.Password.GetHashCode();
            int twoNewPasswordHash = twoNewPassword.Password.GetHashCode();
            if(oldPasswordHash==logined.Password)
            {
                if(newPasswordHash==twoNewPasswordHash)
                {
                    logined.Password = newPasswordHash;
                    MessageBox.Show("Успешная смена пароля","Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                    Classes.DataBaseClass.connect.SaveChanges();
                    Classes.FrameClass.frame.Navigate(new AuthorizationPage());
                }
                else
                {
                    MessageBox.Show("Новый пароль не совпадает", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
            else
            {
                MessageBox.Show("Старый пароль не верен", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void back_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frame.Navigate(new MainPage(logined, logined.Users.IDPower));
            Classes.FrameClass.menuFrame.Navigate(page);
        }
    }
}
