﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using LibraryRDK;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для UpdateUsersPage.xaml
    /// </summary>
    public partial class UpdateUsersPage : Page
    {
        int ID;
        Users users;
        public UpdateUsersPage(int iD)
        {
            InitializeComponent();
            ID = iD;
            users=Classes.DataBaseClass.connect.Users.FirstOrDefault(x=>x.IDUser == ID);
            DataContext = users;
            cbPost.ItemsSource=Classes.DataBaseClass.connect.Post.ToList();
            cbPost.DisplayMemberPath= "Title";
            cbPost.SelectedIndex= users.IDPost-1;
            cbPower.ItemsSource = Classes.DataBaseClass.connect.Power.ToList();
            cbPower.DisplayMemberPath = "Title";
            cbPower.SelectedIndex = users.IDPower - 1;
        }

        private void save_Click(object sender, RoutedEventArgs e)
        {
            if(InputValidation.CheckUsers(tbName.Text, tbSurmame.Text, tbPatronymic.Text, tbNumder.Text, cbPower.SelectedIndex, cbPost.SelectedIndex))
            {
                if(InputValidation.PatternNumbers(tbNumder.Text))
                {
                    users.IDPost = cbPost.SelectedIndex + 1;
                    users.IDPower = cbPower.SelectedIndex + 1;
                    Classes.DataBaseClass.connect.SaveChanges();
                    MessageBox.Show("Информация о пользователе успешно обновлена", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                }
                else
                {
                    MessageBox.Show("Вы ввели номер телефона не в том виде!\nВведите в формате 89999999999", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
        }
    }
}
